#### Previous topic

scipy.stats.contingency.expected_freq

#### Next topic

scipy.stats.fisher_exact

# scipy.stats.contingency.margins

`scipy.stats.contingency.``margins`(a)

  Return a list of the marginal sums of the array a.

  Parameters:

  a : ndarray

  > The array for which to compute the marginal sums.

  Returns:

  margsums : list of ndarrays

  > A list of length a.ndim. margsums[k] is the result of summing a over all axes except k; it has the same number of dimensions as a, but the length of each axis except axis k will be 1.

  Examples

      >>> a = np.arange(12).reshape(2, 6)
      >>> a
      array([[ 0,  1,  2,  3,  4,  5],
             [ 6,  7,  8,  9, 10, 11]])
      >>> m0, m1 = margins(a)
      >>> m0
      array([[15],
             [51]])
      >>> m1
      array([[ 6,  8, 10, 12, 14, 16]])

      >>> b = np.arange(24).reshape(2,3,4)
      >>> m0, m1, m2 = margins(b)
      >>> m0
      array([[[ 66]],
             [[210]]])
      >>> m1
      array([[[ 60],
              [ 92],
              [124]]])
      >>> m2
      array([[[60, 66, 72, 78]]])